Subject: RE: [Simple] MSRP with content indirection

From: "Eric Burger" <[email-masked]>
Date: Fri, 28 Oct 2005 16:24:30 -0400

This is one of those weird situations where we probably need a new draft
that is 99% "what he said."

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]] 
Sent: Wednesday, October 26, 2005 11:17 AM
To: [email-masked]
Cc: [email-masked]; Eric Burger; [email-masked]; [email-masked];
[email-masked]
Subject: Re: [Simple] MSRP with content indirection

Markus,

In general I think it is already covered. But there may be points of 
interpretation that would be well served by writing something down 
someplace.

In your example, I would interpret message/external-body as a wrapper 
type. So in your example, it would be wrong to use it to wrap a jpeg. To

make it right, I think one of the following should be used in the 
offer/answer:

     a=accept-types:message/external-body,image/jpg

or

     a=accept-types:message/external-body
     a=accept-wrapped-types:image/jpg

	Paul

[email-masked] wrote:
> Hi,
> 
> I would like to understand how well MSRP and SIP content indirection
work together by default. I.e., if one of the parties indicates in SDP
for MSRP...
> 
>    a=accept-types:message/external-body
> 
> ...is it possible for the other party to send something like this...
> 
>    MSRP a786hjs2 SEND
>    To-Path: msrp://biloxi.example.com:12763/kjhd37s2s2;tcp
>    From-Path: msrp://atlanta.example.com:7654/jshA7we;tcp
>    Message-ID: 87652
>    Byte-Range: ...
>    Content-Type: message/external-body;
>       ACCESS-TYPE=URL;
>       URL="http://www.example.net/party/06/2002/announcement";
>       EXPIRATION="Sat, 20 Jun 2002 12:00:00 GMT";
>       size=231
>    Content-Length: ...
> 
>    Content-Type: image/jpg
>    Content-Disposition: ...
>    Content-ID: <[email-masked]>
> 
> ...so that the semantics would be clear and unambiguous?
> 
> In other words, is this possible by just combining the two specs, or
is there need to write an additional short draft to cover this?
> 
> Markus 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple